Bug 397961 - Driver detection fails due to wrong path parsing
Driver detection fails due to wrong path parsing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: compiz-manager (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 13:56 EST by Ferry Huberts
Modified: 2007-12-26 20:03 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.0-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-26 20:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferry Huberts 2007-11-24 13:56:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/2.0.0.9-1.fc7 Firefox/2.0.0.9

Description of problem:
Driver detection fails due to wrong path parsing

Version-Release number of selected component (if applicable):
0.6.0-3

How reproducible:
Always


Steps to Reproduce:
1. from a terminal start compiz-manager



Actual Results:
it reports that a whitelisted driver could not be detected

Expected Results:
it should have detected the driver (in my case nvidia)

Additional info:
I found this by placing an extra print in the script during driver detection. It seems that the XORG_DRIVER_PATH has multiple slashes between 'modules' and 'drivers'.

Solution:
replace
  XORG_DRIVER_PATH="/usr/$ARCH_LIB/xorg/modules/drivers/"
with
  XORG_DRIVER_PATH="/+usr/+$ARCH_LIB/+xorg/+modules/+drivers/+"
Comment 1 Sebastian Vahl 2007-11-25 14:28:40 EST
Mhh. I've thought the fixed Path was only in xorg-x11-server-Xorg for rawhide.
However, this could easily be fixed. I will create an update tomorrow. In the
meantime you could try the rawhide version which already includes the fix:
http://koji.fedoraproject.org/koji/buildinfo?buildID=24472
Comment 2 Fedora Update System 2007-11-28 20:32:50 EST
compiz-manager-0.6.0-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update compiz-manager'
Comment 3 Sebastian Vahl 2007-12-02 09:21:19 EST
Does this update fix your problem?
Comment 4 Ferry Huberts 2007-12-02 09:53:27 EST
will try later next week, no time now, sorry. will report back
Comment 5 Eugene M. 2007-12-02 19:45:11 EST
i had a similar problem with a new fedora 8 installation(installed on
02.12.2007).  Starting compiz-manager failed saying "No whitelisted driver found".

to solve the problem, i had to change XORG_DRIVE_PATH like this:
XORG_DRIVER_PATH="/usr/$ARCH_LIB/xorg/modules//drivers/+"
to
XORG_DRIVER_PATH="/usr/$ARCH_LIB/xorg/modules/drivers/+"

the doble-slash before "drivers" was the problem. No desktop-effects work fine
Comment 6 Fedora Update System 2007-12-23 17:49:47 EST
compiz-manager-0.6.0-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update compiz-manager'
Comment 7 Fedora Update System 2007-12-26 18:50:51 EST
compiz-manager-0.6.0-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update compiz-manager'
Comment 8 Fedora Update System 2007-12-26 20:03:48 EST
compiz-manager-0.6.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.